# Namespace: animation

## olx.animation

### Type Definitions

#### olx.animation.BounceOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `resolution` | number |  | The resolution to start the bounce from, typically `map.getView().getResolution()`.
  `start` | number | undefined | <optional> | The start time of the animation. Default is immediately.
  `duration` | number | undefined | <optional> | The duration of the animation in milliseconds. Default is `1000`.
  `easing` | function |  | The easing function to use. Default is `ol.easing.upAndDown`

#### olx.animation.PanOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `source` | ol.Coordinate |  | The location to start panning from, typically `map.getView().getCenter()`.
  `start` | number | undefined | <optional> | The start time of the animation. Default is immediately.
  `duration` | number | undefined | <optional> | The duration of the animation in milliseconds. Default is `1000`.
  `easing` | function |  | The easing function to use. Default is `ol.easing.inAndOut`

#### olx.animation.RotateOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `rotation` | number | undefined | <optional> | The rotation value (in radians) to begin rotating from, typically `map.getView().getRotation()`. If `undefined` then `0` is assumed.
  `anchor` | ol.Coordinate | undefined | <optional> | The rotation center/anchor. The map rotates around the center of the view if unspecified.
  `start` | number | undefined | <optional> | The start time of the animation. Default is immediately.
  `duration` | number | undefined | <optional> | The duration of the animation in milliseconds. Default is `1000`.
  `easing` | function |  | The easing function to use. Default is `ol.easing.inAndOut`

#### olx.animation.ZoomOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `resolution` | number |  | number The resolution to begin zooming from, typically `map.getView().getResolution()`.
  `start` | number | undefined | <optional> | The start time of the animation. Default is immediately.
  `duration` | number | undefined | <optional> | The duration of the animation in milliseconds. Default is `1000`.
  `easing` | function |  | Easing function.